all: parse lex_regex.o
	echo All up to date

parse: parse.c
	cc -o parse parse.c
	ctohtml parse.c > parse.c.html
	grep ^//\\\\ parse.c | ecce - - -command "(v.//.e5m,m)0m-0(r0v-/;/mb,m)0;%c" 2> /dev/null > parse.gram

lex_regex.o: lex_regex.c
	cc -c lex_regex.c
	cc -DTEST_REGEX -o test_lex lex_regex.c
	ctohtml lex_regex.c > lex_regex.c.html
	./test_lex

clean:
	rm -f *~ *.o parse test_lex

upload:
	scp lex_regex.c lex_regex.h Makefile parse.c parse.c.html lex_regex.c.html parse.gram README.txt gtoal@gtoal.com:gtoal.com/SBTPROJECT/6809sbt/experimental/
